`timescale 1ns / 1ps
// Anthony Curnes
// this is an 8-to-1 multiplexer with a variable number of 
// input-output bites
module mux8to1(out, sel, a, b, c, d, e, f, g, h);
    // initializing parameter
    parameter n = 1;

    // input and output declarations
    input [n-1:0] a, b, c, d, e, f, g, h;
    input [2:0] sel;
    output [n-1:0] out;

    // out is assigned input a-h depending on sel
    assign out =    sel == 3'b000 ? a :
                    sel == 3'b001 ? b :
                    sel == 3'b010 ? c :
                    sel == 3'b011 ? d :
                    sel == 3'b100 ? e :
                    sel == 3'b101 ? f :
                    sel == 3'b110 ? g :
                    sel == 3'b111 ? h : 1'b0;


endmodule